{
  "type": "extendedcrafting:shaped_table",
  "pattern": [
    "AABCCCDDD",
    "AEEFFFGGD",
    "BEHIJIJIG",
    "AKLMNOPJG",
    "AQRSTUVIG",
    "AQWXYZ1GI",
    "KKOW2345A",
    "B66FFF786",
    "BBBCCCA66"
  ],
  "key": {
    "A": {
      "item": "extendedcrafting:ender_ingot"
    },
    "B": {
      "item": "thermal_extra:dragon_breath_plating"
    },
    "C": {
      "item": "thermal_extra:dragon_enderium_plate"
    },
    "D": {
      "item": "extendedcrafting:enhanced_ender_ingot"
    },
    "E": {
      "item": "minecraft:ender_pearl"
    },
    "F": {
      "item": "dubl:exceptional_dungeon_coin"
    },
    "G": {
      "item": "pneumaticcraft:plastic"
    },
    "H": {
      "item": "pneumaticcraft:turbine_rotor"
    },
    "I": {
      "item": "thermal:enderium_ingot"
    },
    "J": {
      "item": "pneumaticcraft:advanced_pressure_tube"
    },
    "K": {
      "item": "thermal_extra:dragon_enderium_gear"
    },
    "L": {
      "item": "dubl:special_essence"
    },
    "M": {
      "type": "forge:nbt",
      "item": "extendedcrafting:singularity",
      "count": 1,
      "nbt": "{Id:\"extendedcrafting:dungeon_coin\"}"
    },
    "N": {
      "item": "thermal:redstone_servo"
    },
    "O": {
      "item": "thermal_extra:nebulium_gear"
    },
    "P": {
      "item": "thermal:redstone_bucket"
    },
    "Q": {
      "item": "minecraft:ender_eye"
    },
    "R": {
      "item": "thermal:ender_pearl_dust"
    },
    "S": {
      "item": "minecraft:dragon_egg"
    },
    "T": {
      "item": "minecraft:crossbow"
    },
    "U": {
      "item": "pneumaticcraft:advanced_pcb"
    },
    "V": {
      "item": "pneumaticcraft:fluid_mixer"
    },
    "W": {
      "item": "thermal_extra:dragon_bronze_gear"
    },
    "X": {
      "item": "dubl:precious_emerald"
    },
    "Y": {
      "item": "thermal:rf_coil"
    },
    "Z": {
      "item": "dubl:illusory_mirror"
    },
    "1": {
      "item": "thermal:ender_bucket"
    },
    "2": {
      "item": "thermal_extra:dragon_integral_component"
    },
    "3": {
      "item": "thermal:cinnabar_dust"
    },
    "4": {
      "item": "pneumaticcraft:advanced_air_compressor"
    },
    "5": {
      "item": "pneumaticcraft:pneumatic_cylinder"
    },
    "6": {
      "item": "thermal:cured_rubber"
    },
    "7": {
      "item": "pneumaticcraft:transistor"
    },
    "8": {
      "item": "pneumaticcraft:capacitor"
    }
  },
  "result": {
    "item": "dubl:player_launcher"
  }
}